%define anolis_release 1
Name:           perl-ExtUtils-CChecker
Version:        0.11
Release:        %{anolis_release}%{?dist}
Summary:        Configure-time utilities for using C headers, libraries, or OS features
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/ExtUtils-CChecker
Source0:        https://cpan.metacpan.org/modules/by-module/ExtUtils/ExtUtils-CChecker-%{version}.tar.gz
BuildArch:      noarch
# Build:
BuildRequires:  coreutils
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(:VERSION) >= 5
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::CBuilder)
# Tests:
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88
# Optional Tests:
BuildRequires:  perl(Test::Pod) >= 1.00
# Dependencies:
Requires:       perl(Module::Build)

%description
Often Perl modules are written to wrap functionality found in existing C
headers, libraries, or to use OS-specific features. It is useful in the
Build.PL or Makefile.PL file to check for the existence of these
requirements before attempting to actually build the module.

%package doc
Summary: Documents for %{name}
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%setup -qn ExtUtils-CChecker-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%license LICENSE
%{perl_vendorlib}/ExtUtils/
%{_mandir}/man3/ExtUtils::CChecker.3*

%files doc
%doc Changes README

%changelog
* Thu Feb 2 2023 Funda Wang <fundawang@yeah.net> - 0.11-1
- Import package for anolis 23
